/**
 * Author : Anatole SCHRAMM-HENRY
 * Created the : 30/05/2021
 * This class encapsulates the various configuration values for the board like the Pin Mapping for instance.
 */
#ifndef BOARDCONFIG_H
#define BOARDCONFIG_H

#include "definition.h"

class BoardConfig
{
  public:
    BoardConfig(
    const Pin LDOEnable         = D2_LDO_EN,
    const Pin NRFCe             = D3_NRF_CE,
    const Pin NRFCs             = D10_NRF_CS,
    const Pin I2CSDA            = A4_SDA,
    const Pin I2CSCL            = A5_SCL,
    const Pin LDRVSensEnable    = D4_LDR_V_SENS_EN,
    const Pin BATVSensEnable    = D5_BAT_V_SENS_EN,
    const Pin MOSI              = D11_MOSI,
    const Pin MISO              = D12_MISO,
    const Pin SCK               = D13_SCK,
    const Pin BATAnalogVSens    = A0_BAT_V_SENS,
    const Pin LDRAnalogVSens    = A1_LDR_V_SENS
    );

    const Pin LDOEnable;
    const Pin NRFCe;
    const Pin NRFCs;         
    const Pin I2CSDA;      
    const Pin I2CSCL;        
    const Pin LDRVSensEnable;
    const Pin BATVSensEnable;
    const Pin MOSI;          
    const Pin MISO;          
    const Pin SCK;           
    const Pin BATAnalogVSens;
    const Pin LDRAnalogVSens;
    
  protected:
  private:
};

#endif //BOARDCONFIG_H
